# Method: projects.settings.value.create

- [HTTP request](https://developers.google.com/resource-settings/docs/reference/rest/v1alpha1/projects.settings.value/create#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/resource-settings/docs/reference/rest/v1alpha1/projects.settings.value/create#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/resource-settings/docs/reference/rest/v1alpha1/projects.settings.value/create#body.request_body)
- [Response body](https://developers.google.com/resource-settings/docs/reference/rest/v1alpha1/projects.settings.value/create#body.response_body)
- [Authorization Scopes](https://developers.google.com/resource-settings/docs/reference/rest/v1alpha1/projects.settings.value/create#body.aspect)

Creates a setting value.

Returns a `google.rpc.Status` with `google.rpc.Code.NOT_FOUND` if the setting does not exist. Returns a `google.rpc.Status` with `google.rpc.Code.ALREADY_EXISTS` if the setting value already exists on the given Cloud resource. Returns a `google.rpc.Status` with `google.rpc.Code.FAILED_PRECONDITION` if the setting is flagged as read only.

### HTTP request

`POST https://resourcesettings.googleapis.com/v1alpha1/{settingValue.name=projects/*/settings/*/value}`

The URL uses [gRPC Transcoding](https://github.com/googleapis/googleapis/blob/master/google/api/http.proto) syntax.

### Path parameters

| Parameters ||
|---|---|
| `settingValue.name` | `string` The resource name of the setting value. Must be in one of the following forms: - `projects/{project_number}/settings/{setting_name}/value` - `folders/{folder_id}/settings/{setting_name}/value` - `organizations/{organization_id}/settings/{setting_name}/value` For example, "/projects/123/settings/gcp-enableMyFeature/value" |

### Request body

The request body contains an instance of `https://developers.google.com/resource-settings/docs/reference/rest/v1alpha1/folders.settings.value#SettingValue`.

### Response body

If successful, the response body contains a newly created instance of `https://developers.google.com/resource-settings/docs/reference/rest/v1alpha1/folders.settings.value#SettingValue`.

### Authorization Scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://cloud.google.com/docs/authentication/).